package cn.com.qmth.scancentral.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.scancentral.controller.BaseController;
import cn.com.qmth.scancentral.service.SubjectService;
import cn.com.qmth.scancentral.vo.subject.ScanProgressVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "科目接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/subject")
@Aac(strict = false, auth = true)
public class SubjectController extends BaseController {

    @Autowired
    private SubjectService subjectService;

    @ApiOperation(value = "科目扫描进度查询")
    @PostMapping("scan/progress")
    public ScanProgressVo scanProgress(@RequestParam Long examId, @RequestParam(required = false) String subjectCode) {
        return subjectService.scanProgress(examId, subjectCode);
    }

}